#ifndef INCLUDED_QBtPicture_h
#define INCLUDED_QBtPicture_h
/********************************************************************
 * Copyright (C) Piotr Pszczolkowski
 *-------------------------------------------------------------------
 * This file is part of Image Commander
 *
 * Image Commander is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * Image Commander is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Image Commander; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor,
 * Boston, MA  02110-1301  USA
 *-------------------------------------------------------------------
 * Project      : Image Commander
 * File         : QBtPicture.cpp
 * Author       : Piotr Pszczolkowski
 * Contact      : piotr@beesoft.pl
 * Creation date: 13.02.2009
 *******************************************************************/

/*------- include files:
-------------------------------------------------------------------*/
#include <QScrollArea>

/*------- forward declarations:
-------------------------------------------------------------------*/
class QLabel;
class QImage;

/*------- class declaration:
-------------------------------------------------------------------*/
class QBtPicture : public QScrollArea
{
//------- CONSTRUCTION / DESTRUCTION -------
public:
   QBtPicture( QWidget* = 0 );
private:
   QBtPicture( const QBtPicture& );
   QBtPicture& operator=( const QBtPicture& );
   
//------- METHODS -------
public:
   void display( const QImage& );
};

#endif // INCLUDED_QBtPicture_h
 